Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.util
Class ConvertSpecialCharsTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.taglib.util.ConvertSpecialCharsTag

public class ConvertSpecialCharsTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ConvertSpecialCharsTag()`

Method Summary
`java.lang.String` | `convertSpecialChars(java.lang.String theInpStr)` Given a string, substitute HTML entities for HTML special characters.
`int` | `doStartTag()` Called when the tag starts.
`java.lang.String` | `getString()` Get the string to convert.
`void` | `release()` Release.
`void` | `setString(java.lang.String aString)` Set string to convert.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertSpecialCharsTag

    public ConvertSpecialCharsTag()

Method Detail

### getString

    public java.lang.String getString()

  Get the string to convert.

  Returns:
    `String`

### setString

    public void setString(java.lang.String aString)

  Set string to convert.

  Parameters:
    `aString` -

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### convertSpecialChars

    public java.lang.String convertSpecialChars(java.lang.String theInpStr)

  Given a string, substitute HTML entities for HTML special characters.

  Parameters:
    `theInpStr` - the string to be converted
  Returns:
    `String` the string with special chars translated

### release

    public void release()

  Release.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved